Run a saved query
curl --request POST \
--url https://public-api.sessionboard.com/v1/insights/queries/{queryId}/run \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '
{
"eventId": 123,
"eventIds": [
123
],
"obfuscatePii": true,
"format": "<string>",
"page": 123,
"limit": 123
}
'import requests
url = "https://public-api.sessionboard.com/v1/insights/queries/{queryId}/run"
payload = {
"eventId": 123,
"eventIds": [123],
"obfuscatePii": True,
"format": "<string>",
"page": 123,
"limit": 123
}
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
eventId: 123,
eventIds: [123],
obfuscatePii: true,
format: '<string>',
page: 123,
limit: 123
})
};
fetch('https://public-api.sessionboard.com/v1/insights/queries/{queryId}/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{}
],
"pagination": {
"currentPage": 123,
"pageSize": 123,
"totalPages": 123,
"totalResults": 123
}
}Org — SbQL & Analytics
Run a saved query
Execute a previously saved SbQL query by ID. Requires the read:insights scope.
POST
/
v1
/
insights
/
queries
/
{queryId}
/
run
Run a saved query
Authorizations
Organization API token. Generate from Organization Settings → API Tokens.
Path Parameters
The saved query ID.
Body
application/json
⌘I

